<template lang="html">
	<div class="container">
		<div class="row text-center">
			<div>¿Desea eliminar Chofer?</div>
		</div>
		<div>
			<div>ID = {{this.element.rut_chofer}}</div>
			<div>Nombre = {{this.element.nombre_chofer}} {{this.element.apellido_chofer}}</div>
		</div>
		<div>
			<button class="btn btn-warning" type="submit" v-on:click="eliminarChofer">Eliminar</button>
			<button class="btn btn-danger" v-on:click="volver">Volver</button>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
				id_chofer : this.$route.params.id_chofer,
				element : {
			        rut_chofer : '',
			        nombre_chofer : '',
			        apellido_chofer : '',
			    	}
			    }
		},
		methods: {	
				getChofer(){
					const path = `http://localhost:8000/usuarios/chofer/${this.id_chofer}/`
					axios.get(path).then((response) => {
						this.element.rut_chofer = response.data.rut_chofer
						this.element.nombre_chofer = response.data.nombre_chofer
						this.element.apellido_chofer = response.data.apellido_chofer
					})
					.catch((error) => {console.log(error)})
				},
				volver(){
				location.href = '/chofer'			
			},
			eliminarChofer(){
				const path = `http://localhost:8000/usuarios/chofer/${this.id_chofer}/`
				axios.delete(path).then((response) => {
					location.href = '/chofer'
					})
					.catch((error) => {console.log(error); alert("No se pudo eliminar el chofer");})
			},			
			},
			created(){
				this.getChofer()
			}
	}
</script>

<style lang="css" scoped>
</style>